package cz.muni.fi.pv239.cv3room

import android.arch.persistence.room.Dao
import android.arch.persistence.room.Delete
import android.arch.persistence.room.Insert
import android.arch.persistence.room.Query

@Dao
interface UserDao {
	@Insert
	fun insert(user: User)

	@Query("SELECT * FROM user")
	fun getAll(): List<User>

	@Query("SELECT * FROM user LIMIT 1 OFFSET :arg0")
	fun getByPosition(offset: Int): User

	@Delete
	fun delete(user: User)
}
